Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.ps
Class ImageEncoderJPEG

    java.lang.Object
      org.apache.fop.render.ps.ImageEncoderJPEG

All Implemented Interfaces:
  org.apache.xmlgraphics.ps.ImageEncoder

    public class ImageEncoderJPEG

extends java.lang.Object
implements org.apache.xmlgraphics.ps.ImageEncoder

ImageEncoder implementation for JPEG images.

Constructor Summary
`ImageEncoderJPEG(org.apache.xmlgraphics.image.loader.impl.ImageRawJPEG jpeg)` Main constructor

Method Summary
`java.lang.String` | `getImplicitFilter()`
`void` | `writeTo(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageEncoderJPEG

    public ImageEncoderJPEG(org.apache.xmlgraphics.image.loader.impl.ImageRawJPEG jpeg)

  Main constructor

  Parameters:
    `jpeg` - the JPEG image

Method Detail

### writeTo

    public void writeTo(java.io.OutputStream out)
                 throws java.io.IOException

  Specified by:
    `writeTo` in interface `org.apache.xmlgraphics.ps.ImageEncoder`
  Throws:
    `java.io.IOException`

### getImplicitFilter

    public java.lang.String getImplicitFilter()

  Specified by:
    `getImplicitFilter` in interface `org.apache.xmlgraphics.ps.ImageEncoder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.